c++-gtk-utils

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Cgu::Extension::ReturnValueError Class Reference

`#include <extension.h>`

Inheritance diagram for Cgu::Extension::ReturnValueError:

## Public Member Functions
virtual const char * | what () const throw ()
const char * | err_text () const throw ()
| ReturnValueError (const char *msg)
| ~ReturnValueError () throw ()

## Constructor & Destructor Documentation

## ◆ ReturnValueError()

Cgu::Extension::ReturnValueError::ReturnValueError | ( | const char * | msg | ) |
| inline

## ◆ ~ReturnValueError()

Cgu::Extension::ReturnValueError::~ReturnValueError | ( |  | ) |
throw | ( |
| ) |  |
| inline

## Member Function Documentation

## ◆ err_text()

const char* Cgu::Extension::ReturnValueError::err_text | ( |  | ) | const
throw | ( |
| ) |  |
| inline

## ◆ what()

virtual const char* Cgu::Extension::ReturnValueError::what | ( |  | ) | const
throw | ( |
| ) |  |
| inline virtual

The documentation for this class was generated from the following file:

- extension.h